<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy8ckit__028__tft_8c" kind="file" language="C++">
    <compoundname>cy8ckit_028_tft.c</compoundname>
    <includes local="yes" refid="cy8ckit__028__tft_8h">cy8ckit_028_tft.h</includes>
      <sectiondef kind="var">
      <memberdef id="cy8ckit__028__tft_8c_1aaea88f788e940c032511b4b9b499ac04" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_adc_t</type>
        <definition>cyhal_adc_t adc</definition>
        <argsstring />
        <name>adc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="27" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="27" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a1a5d64a9bb2482ebae0acb0c4e20ea46" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_i2c_t</type>
        <definition>cyhal_i2c_t i2c</definition>
        <argsstring />
        <name>i2c</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="28" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="28" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a7a83b1e4edbee160f1bb54bdae9d7d42" kind="variable" mutable="no" prot="public" static="yes">
        <type>mtb_bmi160_t</type>
        <definition>mtb_bmi160_t motion_sensor</definition>
        <argsstring />
        <name>motion_sensor</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="29" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="29" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a725a5727779b8ea3602bfff908bd3a9a" kind="variable" mutable="no" prot="public" static="yes">
        <type>mtb_light_sensor_t</type>
        <definition>mtb_light_sensor_t light_sensor</definition>
        <argsstring />
        <name>light_sensor</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="30" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="30" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a76dc6103c4280b07e59c9f5117fcec78" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_pdm_pcm_t</type>
        <definition>cyhal_pdm_pcm_t cy8ckit_028_tft_pdm_pcm</definition>
        <argsstring />
        <name>cy8ckit_028_tft_pdm_pcm</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="31" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="31" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a2c0b9dfad8b8631d673325c1d4365161" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_adc_t *</type>
        <definition>cyhal_adc_t* adc_ptr</definition>
        <argsstring />
        <name>adc_ptr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="33" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="33" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a9d88c1d94930b456b91d9a22a6493b89" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_i2c_t *</type>
        <definition>cyhal_i2c_t* i2c_ptr</definition>
        <argsstring />
        <name>i2c_ptr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="34" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="34" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1a959f712f2227a355d1b1479c37d227c4" kind="variable" mutable="no" prot="public" static="yes">
        <type>bool</type>
        <definition>bool audio_initialized</definition>
        <argsstring />
        <name>audio_initialized</name>
        <initializer>= false</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="35" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="35" />
      </memberdef>
      <memberdef id="cy8ckit__028__tft_8c_1acb077ddb6cfc24563f9d2f81b0c09441" kind="variable" mutable="no" prot="public" static="yes">
        <type>const mtb_st7789v_pins_t</type>
        <definition>const mtb_st7789v_pins_t tft_pins</definition>
        <argsstring />
        <name>tft_pins</name>
        <initializer>=
{
    .db08 = <ref kindref="member" refid="group__group__board__libs__pins_1ga02424140bce494595081c3ed46a92f02">CY8CKIT_028_TFT_PIN_DISPLAY_DB8</ref>,
    .db09 = <ref kindref="member" refid="group__group__board__libs__pins_1ga3ffe5b526dd6d1100575300fa05f4d1d">CY8CKIT_028_TFT_PIN_DISPLAY_DB9</ref>,
    .db10 = <ref kindref="member" refid="group__group__board__libs__pins_1ga63d7ac3d543d82940cd81dfa96b62413">CY8CKIT_028_TFT_PIN_DISPLAY_DB10</ref>,
    .db11 = <ref kindref="member" refid="group__group__board__libs__pins_1gad11f8c426ad7188612ba4fb6ba3a3bbe">CY8CKIT_028_TFT_PIN_DISPLAY_DB11</ref>,
    .db12 = <ref kindref="member" refid="group__group__board__libs__pins_1gaaec7c632c059faa899e646f741ce6e54">CY8CKIT_028_TFT_PIN_DISPLAY_DB12</ref>,
    .db13 = <ref kindref="member" refid="group__group__board__libs__pins_1gab5b49e4fec158e9f3b3777f839fde72c">CY8CKIT_028_TFT_PIN_DISPLAY_DB13</ref>,
    .db14 = <ref kindref="member" refid="group__group__board__libs__pins_1ga0b0006a6dc18f5c3bca5a3696774c649">CY8CKIT_028_TFT_PIN_DISPLAY_DB14</ref>,
    .db15 = <ref kindref="member" refid="group__group__board__libs__pins_1gabe5468d301f54b20d2f9af09b63ac145">CY8CKIT_028_TFT_PIN_DISPLAY_DB15</ref>,
    .nrd = <ref kindref="member" refid="group__group__board__libs__pins_1ga19d3139f95cc113d7e14183839aebf4b">CY8CKIT_028_TFT_PIN_DISPLAY_NRD</ref>,
    .nwr = <ref kindref="member" refid="group__group__board__libs__pins_1ga5477b1dda2c63e0f5b69c2f0d873b6cb">CY8CKIT_028_TFT_PIN_DISPLAY_NWR</ref>,
    .dc = <ref kindref="member" refid="group__group__board__libs__pins_1gaa646ebada414a1f77f52265cf3ad78c4">CY8CKIT_028_TFT_PIN_DISPLAY_DC</ref>,
    .rst = <ref kindref="member" refid="group__group__board__libs__pins_1ga48ba4d6e720cfcdf52ce7b2f4d5bc4b0">CY8CKIT_028_TFT_PIN_DISPLAY_RST</ref>,
}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="37" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="37" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gad949b7534e1066ef0b22347fe533c9a8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_028_tft_init</definition>
        <argsstring>(cyhal_i2c_t *i2c_inst, cyhal_adc_t *adc_inst, cyhal_pdm_pcm_cfg_t *pdm_pcm_cfg, cyhal_clock_t *audio_clock_inst)</argsstring>
        <name>cy8ckit_028_tft_init</name>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>i2c_inst</declname>
        </param>
        <param>
          <type>cyhal_adc_t *</type>
          <declname>adc_inst</declname>
        </param>
        <param>
          <type>cyhal_pdm_pcm_cfg_t *</type>
          <declname>pdm_pcm_cfg</declname>
        </param>
        <param>
          <type>cyhal_clock_t *</type>
          <declname>audio_clock_inst</declname>
        </param>
        <briefdescription>
<para>Initialize the shield board and all peripherals contained on it. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This will reserve all CY8CKIT_028_TFT_PIN_DISPLAY pins for the display. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">i2c_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional I2C instance to use for communicating with the motion sensor on the shield. If NULL, a new instance will be allocated using the <ref kindref="member" refid="group__group__board__libs__pins_1ga8833a8d6a49addf6e4a3511e04a6a754">CY8CKIT_028_TFT_PIN_IMU_I2C_SCL</ref> &amp; <ref kindref="member" refid="group__group__board__libs__pins_1gac8c2026d7ae0aa1c3c7a04db2b542d6b">CY8CKIT_028_TFT_PIN_IMU_I2C_SDA</ref> pins. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adc_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional adc instance to be used with the light sensor. If NULL, a new instance will be allocated. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pdm_pcm_cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The configuration for the PDM object used with the microphone. . If NULL, the PDM object will not be initialized. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">audio_clock_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>The audio clock used with the microphone. . If NULL, the PDM object will not be initialized. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="120" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="58" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="58" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gab2e27e60c331cca1daf9bedf6c3a4fd3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_light_sensor_t *</type>
        <definition>mtb_light_sensor_t* cy8ckit_028_tft_get_light_sensor</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_tft_get_light_sensor</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the light sensor object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the light sensor object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="129" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="126" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="126" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga2f404f95d001a872c563379490416041" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_bmi160_t *</type>
        <definition>mtb_bmi160_t* cy8ckit_028_tft_get_motion_sensor</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_tft_get_motion_sensor</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the motion sensor object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the motion sensor object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="138" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="135" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga8df0d7e3d3eebdb436333ed69ba9204e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cyhal_pdm_pcm_t *</type>
        <definition>cyhal_pdm_pcm_t* cy8ckit_028_tft_get_pdm</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_tft_get_pdm</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the PDM object used with the microphone. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the PDM microphone object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="144" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="144" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga03dbc47617086493d3c561a690780266" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy8ckit_028_tft_free</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_tft_free</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Frees up any resources allocated as part of <ref kindref="member" refid="group__group__board__libs__shield_1gad949b7534e1066ef0b22347fe533c9a8">cy8ckit_028_tft_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" bodystart="153" column="1" file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" line="153" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Implementation file of the shield support library. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy8ckit_028_tft.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_adc_t<sp />adc;</highlight></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_i2c_t<sp />i2c;</highlight></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />mtb_bmi160_t<sp />motion_sensor;</highlight></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />mtb_light_sensor_t<sp />light_sensor;</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_pdm_pcm_t<sp />cy8ckit_028_tft_pdm_pcm;</highlight></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_adc_t<sp />*adc_ptr;</highlight></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_i2c_t<sp />*i2c_ptr;</highlight></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />audio_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />mtb_st7789v_pins_t<sp />tft_pins<sp />=</highlight></codeline>
<codeline lineno="38"><highlight class="normal">{</highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />.db08<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga02424140bce494595081c3ed46a92f02">CY8CKIT_028_TFT_PIN_DISPLAY_DB8</ref>,</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />.db09<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga3ffe5b526dd6d1100575300fa05f4d1d">CY8CKIT_028_TFT_PIN_DISPLAY_DB9</ref>,</highlight></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp />.db10<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga63d7ac3d543d82940cd81dfa96b62413">CY8CKIT_028_TFT_PIN_DISPLAY_DB10</ref>,</highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp />.db11<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gad11f8c426ad7188612ba4fb6ba3a3bbe">CY8CKIT_028_TFT_PIN_DISPLAY_DB11</ref>,</highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp />.db12<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaaec7c632c059faa899e646f741ce6e54">CY8CKIT_028_TFT_PIN_DISPLAY_DB12</ref>,</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp />.db13<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gab5b49e4fec158e9f3b3777f839fde72c">CY8CKIT_028_TFT_PIN_DISPLAY_DB13</ref>,</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp />.db14<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga0b0006a6dc18f5c3bca5a3696774c649">CY8CKIT_028_TFT_PIN_DISPLAY_DB14</ref>,</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />.db15<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gabe5468d301f54b20d2f9af09b63ac145">CY8CKIT_028_TFT_PIN_DISPLAY_DB15</ref>,</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp />.nrd<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga19d3139f95cc113d7e14183839aebf4b">CY8CKIT_028_TFT_PIN_DISPLAY_NRD</ref>,</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />.nwr<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga5477b1dda2c63e0f5b69c2f0d873b6cb">CY8CKIT_028_TFT_PIN_DISPLAY_NWR</ref>,</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />.dc<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaa646ebada414a1f77f52265cf3ad78c4">CY8CKIT_028_TFT_PIN_DISPLAY_DC</ref>,</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />.rst<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga48ba4d6e720cfcdf52ce7b2f4d5bc4b0">CY8CKIT_028_TFT_PIN_DISPLAY_RST</ref>,</highlight></codeline>
<codeline lineno="51"><highlight class="normal">};</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="55"><highlight class="comment"><sp />*<sp />Initializes<sp />the<sp />entire<sp />shield,<sp />included<sp />components<sp />and<sp />related<sp />resources</highlight></codeline>
<codeline lineno="56"><highlight class="comment"><sp />*<sp />(I2C,<sp />etc)</highlight></codeline>
<codeline lineno="57"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__shield_1gad949b7534e1066ef0b22347fe533c9a8">cy8ckit_028_tft_init</ref>(cyhal_i2c_t<sp />*i2c_inst,<sp />cyhal_adc_t<sp />*adc_inst,</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_pdm_pcm_cfg_t<sp />*pdm_pcm_cfg,</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_clock_t<sp />*audio_clock_inst)</highlight></codeline>
<codeline lineno="61"><highlight class="normal">{</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp />CY_RSLT_SUCCESS;</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(NULL<sp />==<sp />i2c_inst)</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />cyhal_i2c_cfg_t<sp />I2C_CFG<sp />=<sp />{</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.is_slave<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.address<sp />=<sp />0,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.frequencyhal_hz<sp />=<sp />400000</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp />cyhal_i2c_init(&amp;i2c,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gac8c2026d7ae0aa1c3c7a04db2b542d6b">CY8CKIT_028_TFT_PIN_IMU_I2C_SDA</ref>,</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga8833a8d6a49addf6e4a3511e04a6a754">CY8CKIT_028_TFT_PIN_IMU_I2C_SCL</ref>,<sp />NULL);</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />&amp;i2c;</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_i2c_configure(&amp;i2c,<sp />&amp;I2C_CFG);</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />i2c_inst;</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(NULL<sp />==<sp />adc_inst)</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_adc_init(&amp;adc,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga4c747eff4b08356b7182a418bb07ee6c">CY8CKIT_028_TFT_PIN_ALS_OUT</ref>,<sp />NULL);</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />adc_ptr<sp />=<sp />&amp;adc;</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />adc_ptr<sp />=<sp />adc_inst;</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />mtb_st7789v_init8(&amp;tft_pins);</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />mtb_light_sensor_init(&amp;light_sensor,<sp />adc_ptr,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga4c747eff4b08356b7182a418bb07ee6c">CY8CKIT_028_TFT_PIN_ALS_OUT</ref>);</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />mtb_bmi160_init_i2c(&amp;motion_sensor,<sp />i2c_ptr,<sp />MTB_BMI160_DEFAULT_ADRESS);</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />the<sp />PDM/PCM<sp />block<sp />and<sp />audio<sp />codec<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((NULL<sp />!=<sp />audio_clock_inst)<sp />&amp;&amp;<sp />(NULL<sp />!=<sp />pdm_pcm_cfg))</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />audio_initialized<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_pdm_pcm_init(&amp;cy8ckit_028_tft_pdm_pcm,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga1fe68ee1b1ce417dae6033f0434bb512">CY8CKIT_028_TFT_PIN_PDM_DATA</ref>,</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__pins_1gae69619b934ef93b08cf952b336f49dae">CY8CKIT_028_TFT_PIN_PDM_CLK</ref>,<sp />audio_clock_inst,<sp />pdm_pcm_cfg);</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />mtb_ak4954a_init(i2c_ptr);</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />!=<sp />rslt)</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga03dbc47617086493d3c561a690780266">cy8ckit_028_tft_free</ref>();</highlight></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="120"><highlight class="normal">}</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="124"><highlight class="comment"><sp />*<sp />Gives<sp />the<sp />user<sp />access<sp />to<sp />the<sp />light<sp />sensor<sp />object</highlight></codeline>
<codeline lineno="125"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal">mtb_light_sensor_t*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1gab2e27e60c331cca1daf9bedf6c3a4fd3">cy8ckit_028_tft_get_light_sensor</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="127"><highlight class="normal">{</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;light_sensor;</highlight></codeline>
<codeline lineno="129"><highlight class="normal">}</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="133"><highlight class="comment"><sp />*<sp />Gives<sp />the<sp />user<sp />access<sp />to<sp />the<sp />motion<sp />sensor<sp />object</highlight></codeline>
<codeline lineno="134"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal">mtb_bmi160_t*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga2f404f95d001a872c563379490416041">cy8ckit_028_tft_get_motion_sensor</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="136"><highlight class="normal">{</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;motion_sensor;</highlight></codeline>
<codeline lineno="138"><highlight class="normal">}</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="142"><highlight class="comment"><sp />*<sp />Gives<sp />the<sp />user<sp />access<sp />to<sp />the<sp />PDM<sp />object</highlight></codeline>
<codeline lineno="143"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal">cyhal_pdm_pcm_t<sp />*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga8df0d7e3d3eebdb436333ed69ba9204e">cy8ckit_028_tft_get_pdm</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="145"><highlight class="normal">{</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;cy8ckit_028_tft_pdm_pcm;</highlight></codeline>
<codeline lineno="147"><highlight class="normal">}</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="151"><highlight class="comment"><sp />*<sp />Frees<sp />resources<sp />associated<sp />with<sp />the<sp />shield</highlight></codeline>
<codeline lineno="152"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga03dbc47617086493d3c561a690780266">cy8ckit_028_tft_free</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="154"><highlight class="normal">{</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_free();</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(i2c_ptr<sp />==<sp />&amp;i2c)</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_i2c_free(i2c_ptr);</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(audio_initialized)</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />audio_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_pdm_pcm_free(&amp;cy8ckit_028_tft_pdm_pcm);</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />mtb_ak4954a_free();</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_light_sensor_free(&amp;light_sensor);</highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_bmi160_free(&amp;motion_sensor);</highlight></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />This<sp />must<sp />be<sp />done<sp />last,<sp />in<sp />case<sp />other<sp />code<sp />prior<sp />to<sp />this<sp />frees</highlight></codeline>
<codeline lineno="172"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />an<sp />ADC<sp />channel<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(adc_ptr<sp />==<sp />&amp;adc)</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_adc_free(&amp;adc);</highlight></codeline>
<codeline lineno="175"><highlight class="normal">}</highlight></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy8ckit_028_tft.c" />
  </compounddef>
</doxygen>